For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportContact salesStart free trial
  • Getting started
    • Overview
    • Authentication
    • Querying tutorial
    • OData Integrations
    • Work Breakdown Structure
    • Software Development Kits
    • API Patch Notes
    • FAQ
    • Terms of use
  • API Reference
      • POSTUpload Project File
      • POSTUpload Project File To Folder
LogoLogo
SupportContact salesStart free trial
API ReferenceProject File

Upload Project File To Folder

POST
https://api.projectmanager.com/api/data/projects/:projectId/folders/:folderId/files
POST
/api/data/projects/:projectId/folders/:folderId/files
$curl -X POST https://api.projectmanager.com/api/data/projects/projectId/folders/folderId/files \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: multipart/form-data" \
> -F file=@<file1>
200Successful
1{
2 "error": {
3 "technicalError": "string",
4 "additionalErrors": [
5 "string"
6 ],
7 "validationErrors": {},
8 "message": "string"
9 },
10 "success": true,
11 "hasError": true,
12 "statusCode": "Continue",
13 "data": {
14 "id": "string",
15 "projectId": "string",
16 "taskId": "string",
17 "ownerId": "string",
18 "createdDate": "2024-01-15T09:30:00Z",
19 "folderId": "string",
20 "fileType": "string",
21 "fileTypeLabel": "string",
22 "size": 1,
23 "downloadPath": "string",
24 "deleted": true,
25 "type": "string",
26 "name": "string",
27 "entityOwnerId": "string"
28 }
29}
Uploads a file to a specific folder on the Files page within the project that you specify. ProjectManager allows you to store Files connected to other elements of your Workspace such as a Project, a Task, or Home. Files are maintained separately based on the location where the file was stored. You can organize your files in the Home Files and Project Files pages by adding folders. When you upload a File, please allow a few moments for the File to be processed and verified. ProjectManager may reject File uploads that contain problems such as malware. Once a File has completed the upload the process, you may retrieve it using the DownloadFile API. This API returns a JSON response indicating success or failure.
Was this page helpful?
Previous

Retrieve Project Folders

Next
Built with
Uploads a file to a specific folder on the Files page within the project that you specify. ProjectManager allows you to store Files connected to other elements of your Workspace such as a Project, a Task, or Home. Files are maintained separately based on the location where the file was stored. You can organize your files in the Home Files and Project Files pages by adding folders. When you upload a File, please allow a few moments for the File to be processed and verified. ProjectManager may reject File uploads that contain problems such as malware. Once a File has completed the upload the process, you may retrieve it using the DownloadFile API. This API returns a JSON response indicating success or failure.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectIdstringRequiredformat: "uuid"
The reference to the project
folderIdstringRequiredformat: "uuid"
The reference to the sub folder to put the file into

Headers

x-integration-namestringOptional
The name of the calling system passed along as a header parameter

Request

This endpoint expects a multipart form containing an optional file.
filefileOptional

Response

Success
errorobject or null
If the API call failed, this will contain information about the error that occurred.
successbooleanRead-only

True if the API call succeeded; false otherwise.

hasErrorbooleanRead-only
True if the API call failed.
statusCodeenum
The HTTP code of the response.
dataobject
Represents a file in project manager